package com.dsic.gj_erp.bean.jhgk.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmSygd对象", description="")
public class SyExcel implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    @ExcelProperty(index = 1)
    private String dcCh;

    @ApiModelProperty(value = "分段号")
    @ExcelProperty(index = 3)
    private String dcFd;

    @ApiModelProperty(value = "批量号")
    @ExcelProperty(index = 2)
    private String dcPl;

    @ApiModelProperty(value = "钢加大组结束")
    @ExcelProperty(index = 4)
    private String gjjsDz;

    @ApiModelProperty(value = "钢加小组结束")
    @ExcelProperty(index = 5)
    private String gjjsXz;


    @ApiModelProperty(value = "套料图接收")
    @ExcelProperty(index = 6)
    private String jsqTlt;

    @ApiModelProperty(value = "板材领取表接收")
    @ExcelProperty(index = 7)
    private String jsqLqb;

    @ApiModelProperty(value = "订货清单号")
    @ExcelProperty(index = 8)
    private String dhqd;

    @ApiModelProperty(value = "状态；0编辑 1提交 2审核 3下发 4完成 5拖期")
    @ExcelProperty(index = 9)
    private String gdZt;

    @ApiModelProperty(value = "订货板数")
    @ExcelProperty(index = 10)
    private Double orderBs;

    @ApiModelProperty(value = "到货板数")
    @ExcelProperty(index = 11)
    private Double arrivalBs;

    @ApiModelProperty(value = "套料图板数")
    @ExcelProperty(index = 12)
    private int tltSl;

    @ApiModelProperty(value = "上料张数")
    @ExcelProperty(index = 13)
    private int slSl;

    @ApiModelProperty(value = "上料时间")
    @ExcelProperty(index = 14)
    private String slSj;

    @ApiModelProperty(value = "抛丸数量")
    @ExcelProperty(index = 15)
    private int pwSl;

    @ApiModelProperty(value = "抛丸时间")
    @ExcelProperty(index = 16)
    private String pwSj;

    @ApiModelProperty(value = "型材抛丸")
    @ExcelProperty(index = 17)
    private Double xcpwSl;

    @ApiModelProperty(value = "型材抛丸时间")
    @ExcelProperty(index = 18)
    private String xcpwSj;

    @ApiModelProperty(value = "1跨平直大板（大组）")
    @ExcelProperty(index = 19)
    private int n1ad;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 20)
    private String n1adSj;

    @ApiModelProperty(value = "1跨平直大板（小组）")
    @ExcelProperty(index = 21)
    private int n1ax;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 22)
    private String n1axSj;

    @ApiModelProperty(value = "1跨进线板（大组）")
    @ExcelProperty(index = 23)
    private int n1ld;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 24)
    private String n1ldSj;

    @ApiModelProperty(value = "2跨超长超宽板（大组）")
    @ExcelProperty(index = 25)
    private int n2bd;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 26)
    private String n2bdSj;

    @ApiModelProperty(value = "2跨超长超宽板（小组）")
    @ExcelProperty(index = 27)
    private int n2bx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 28)
    private String n2bxSj;

    @ApiModelProperty(value = "2跨超长超宽曲板（小组）")
    @ExcelProperty(index = 29)
    private int n2cx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 30)
    private String n2cxSj;

    @ApiModelProperty(value = "2跨超长超宽曲板（大组）")
    @ExcelProperty(index = 31)
    private int n2cd;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 32)
    private String n2cdSj;

    @ApiModelProperty(value = "2跨T型材腹板（小组）")
    @ExcelProperty(index = 33)
    private int n2tx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 34)
    private String n2txSj;

    @ApiModelProperty(value = "2跨T型材腹板（大组）")
    @ExcelProperty(index = 35)
    private int n2td;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 36)
    private String n2tdSj;

    @ApiModelProperty(value = "2跨激光切割板（小组）")
    @ExcelProperty(index = 37)
    private int n2jx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 38)
    private String n2jxSj;

    @ApiModelProperty(value = "2跨激光切割板（大组）")
    @ExcelProperty(index = 39)
    private int n2jd;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 40)
    private String n2jdSj;

    @ApiModelProperty(value = "3跨曲板（小组）")
    @ExcelProperty(index =41 )
    private int n3cx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 42)
    private String n3cxSj;

    @ApiModelProperty(value = "3跨曲板（大组）")
    @ExcelProperty(index = 43)
    private int n3cd;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 44)
    private String n3cdSj;

    @ApiModelProperty(value = "3跨厚板（小组）")
    @ExcelProperty(index = 45)
    private int n3hx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 46)
    private String n3hxSj;

    @ApiModelProperty(value = "3跨厚板（大组）")
    @ExcelProperty(index = 47)
    private int n3hd;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 48)
    private String n3hdSj;

    @ApiModelProperty(value = "4跨普通板（小组）")
    @ExcelProperty(index = 49)
    private int n4px;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 50)
    private String n4pxSj;

    @ApiModelProperty(value = "4跨普通板（大组）")
    @ExcelProperty(index = 51)
    private int n4pd;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 52)
    private String n4pdSj;

    @ApiModelProperty(value = "4跨普通板（机器人）")
    @ExcelProperty(index = 53)
    private int n4xx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 54)
    private String n4xxSj;

    @ApiModelProperty(value = "光电")
    @ExcelProperty(index = 55)
    private int n8gx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 56)
    private String n8gxSj;

    @ApiModelProperty(value = "7跨型板（小组）")
    @ExcelProperty(index = 57)
    private int x7xx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 58)
    private String x7xxSj;

    @ApiModelProperty(value = "7跨型板（大组）")
    @ExcelProperty(index = 59)
    private int x7xd;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 60)
    private String x7xdSj;

    @ApiModelProperty(value = "2跨T型材面板（小组）")
    @ExcelProperty(index = 61)
    private int s2tx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 62)
    private String s2txSj;

    @ApiModelProperty(value = "2跨T型材面板（大组）")
    @ExcelProperty(index = 63)
    private int s2td;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 64)
    private String s2tdSj;

    @ApiModelProperty(value = "3跨平铁（小组）")
    @ExcelProperty(index = 65)
    private int s3px;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 66)
    private String s3pxSj;

    @ApiModelProperty(value = "3跨平铁（大组）")
    @ExcelProperty(index =67 )
    private int s3pd;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 68)
    private String s3pdSj;

    @ApiModelProperty(value = "3跨平铁（机器人）")
    @ExcelProperty(index = 69)
    private int s3xx;

    @ApiModelProperty(value = "加工时间")
    @ExcelProperty(index = 70)
    private String s3xxSj;


    @ApiModelProperty(value = "数据来源船")
    @ExcelProperty(index = 71)
    private String sjlyCh;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ExcelProperty(index = 72)
    private String id;


}
