package com.dsic.gj_erp.service.pgd.impl;

import cn.hutool.core.date.DateUtil;
import com.dsic.gj_erp.bean.pgd.PgdPkjh;
import com.dsic.gj_erp.bean.pgd.PgdQgjh;
import com.dsic.gj_erp.bean.pgd.PgdQmjh;
import com.dsic.gj_erp.mapper.pgd.PgdPkjhMapper;
import com.dsic.gj_erp.service.pgd.PgdPkjhService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Service
public class PgdPkjhServiceImpl extends ServiceImpl<PgdPkjhMapper, PgdPkjh> implements PgdPkjhService {
    @Override
    public void savePkPgdXd(List<PgdPkjh> pkjhs, HttpServletRequest request) {
        List<PgdPkjh>ups= new ArrayList<>();
        pkjhs.forEach(f->{
            PgdPkjh e= new PgdPkjh();
            e.setXfry((String) request.getAttribute("yhms"));
            e.setXfrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setZt("02");
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }

    @Override
    public void savePkPgdFk(List<PgdPkjh> pkjhs, HttpServletRequest request) {
        List<PgdPkjh>ups= new ArrayList<>();
        pkjhs.forEach(f->{
            PgdPkjh e= new PgdPkjh();
            e.setFkry((String) request.getAttribute("yhms"));
            e.setFkrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setZt("09");
            e.setFkyy(f.getFkyy());
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }

    @Override
    public void savePkPgdXdBack(List<PgdPkjh> pkjhs, HttpServletRequest request) {
        List<PgdPkjh>ups= new ArrayList<>();
        pkjhs.forEach(f->{
            PgdPkjh e= new PgdPkjh();
            e.setXfry((String) request.getAttribute("yhms"));
            e.setXfrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            if(f.getZt().equals("02")){
                e.setZt("01");
            }
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }
}
